### Enumeration

# GLib ShellError

#### Declaration

    error-domain GLib.ShellError

#### Description

Error codes returned by shell functions.

#### Members

`G_SHELL_ERROR_BAD_QUOTING`

  Mismatched or otherwise mangled quoting.

  - Value: `0`
  - Available since: 2.0
`G_SHELL_ERROR_EMPTY_STRING`

  String to be parsed was empty.

  - Value: `1`
  - Available since: 2.0
`G_SHELL_ERROR_FAILED`

  Some other error.

  - Value: `2`
  - Available since: 2.0